circbuf Class Reference

## Public Member Functions

| circbuf (int size=512)
void | putOnBuf (unsigned char c)
int | getFromBuf ()
bool | haveData ()
int | size ()
void | printBuf ()
bool | gotPacket ()
void | reset ()

## Private Attributes

unsigned char * | buf
int | start
int | end
int | mysize
bool | gotPack

The documentation for this class was generated from the following files:

- p2os.h
- p2os.cc

Last updated 12 September 2005 21:38:45